com.qualcomm.ftccommon

## Class USBAccessibleLynxModule

- java.lang.Object
- - com.qualcomm.ftccommon.USBAccessibleLynxModule

-     public final class USBAccessibleLynxModule
      extends java.lang.Object

  A simple utility class holding the serial number of a USB accessible lynx module and (optionally) its module address

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `firmwareVersionString`
    `protected int` | `moduleAddress`
    `protected boolean` | `moduleAddressChangeable`
    `protected SerialNumber` | `serialNumber`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `USBAccessibleLynxModule(SerialNumber serialNumber)`
    `USBAccessibleLynxModule(SerialNumber serialNumber, boolean moduleAddressChangeable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFinishedFirmwareVersionString()`
    `java.lang.String` | `getFirmwareVersionString()`
    `int` | `getModuleAddress()`
    `SerialNumber` | `getSerialNumber()`
    `boolean` | `isModuleAddressChangeable()`
    `void` | `setFirmwareVersionString(java.lang.String firmwareVersionString)`
    `void` | `setModuleAddress(int moduleAddress)`
    `void` | `setModuleAddressChangeable(boolean moduleAddressChangeable)`
    `void` | `setSerialNumber(SerialNumber serialNumber)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialNumber

          protected SerialNumber serialNumber

    - #### moduleAddress

          protected int moduleAddress

    - #### moduleAddressChangeable

          protected boolean moduleAddressChangeable

    - #### firmwareVersionString

          protected java.lang.String firmwareVersionString

  - ### Constructor Detail

    - #### USBAccessibleLynxModule

          public USBAccessibleLynxModule(SerialNumber serialNumber)

    - #### USBAccessibleLynxModule

          public USBAccessibleLynxModule(SerialNumber serialNumber,
                                         boolean moduleAddressChangeable)

  - ### Method Detail

    - #### getSerialNumber

          public SerialNumber getSerialNumber()

    - #### setSerialNumber

          public void setSerialNumber(SerialNumber serialNumber)

    - #### getModuleAddress

          public int getModuleAddress()

    - #### setModuleAddress

          public void setModuleAddress(int moduleAddress)

    - #### isModuleAddressChangeable

          public boolean isModuleAddressChangeable()

    - #### setModuleAddressChangeable

          public void setModuleAddressChangeable(boolean moduleAddressChangeable)

    - #### getFirmwareVersionString

          public java.lang.String getFirmwareVersionString()

    - #### getFinishedFirmwareVersionString

          public java.lang.String getFinishedFirmwareVersionString()

    - #### setFirmwareVersionString

          public void setFirmwareVersionString(java.lang.String firmwareVersionString)